# https://projects.raspberrypi.org/en/projects/temperature-log/2

import smbus
from time import sleep, strftime, time

# Get I2C bus
bus = smbus.SMBus(1)
bus.write_byte_data(0x39, 0x00 | 0x80, 0x03)
bus.write_byte_data(0x39, 0x01 | 0x80, 0x02)

sleep(0.5)

while True:

	data = bus.read_i2c_block_data(0x39, 0x0C | 0x80, 2)
	data1 = bus.read_i2c_block_data(0x39, 0x0E | 0x80, 2)

	# Convert the data
	ch0 = data[1] * 256 + data[0]
	ch1 = data1[1] * 256 + data1[0]

	# Output data to screen
	print ("\033c") # wis scherm

	print strftime("\033[1;37;40m            %a, %d %b %Y %H:%M:%S")
	print "\033[1;33;40m=================================================="
	print "      Lichtsterkte meting met TSL2561 sensor      "
	print "==================================================\033[0m\n"
	print "\033[1;37;40mWaarde zichtbaar licht                    : %d lux" %(ch0 - ch1)
	print "Waarde infrarood licht (IR)               : %d lux" %ch1
	print "                                           --------"
	print "Waarde volledig spectrum (IR + zichtbaar) : %d lux\n" %ch0

	sleep(0.5)
